<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Rekap Tagihan</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Rekapan Tagihan </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col-md-2">
                                <h3 class="mb-0">Angkatan : <span th:text="${selectAngkatan}"></span></h3>
                            </div>
<!--                            <div class="col pull-right">-->
<!--                                <div class="row">-->
<!--                                    <div class="col-md-12 col-xs-12 col-sm-12">-->
<!--                                        <button type="button" class="btn btn-success btn-sm"><a class="text-white pull-left" th:href="@{/billReport/permahasiswa/angkatan(angkatan=${angkatan}, tahun=${tahun.id})}"><i class="fas fa-download"> </i> Download</a></button>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
                            <div class="col text-right">
                                <div th:if="${selectTahun == null}">
                                    <a th:href="@{/studentBill/rekapTagihan/angkatan}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                                </div>
                                <div th:if="${selectTahun != null}">
                                    <a th:href="@{/studentBill/rekapTagihan/angkatan(tahunAkademik=${selectTahun})}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="card-shadow">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-responsive">
                                        <table id="data-table-basic" class="table align-items-center table-flush table-striped">
                                            <thead class="thead-light">
                                            <tr>
                                                <th class="text-center">#</th>
                                                <th>Prodi</th>
                                                <th>Nim</th>
                                                <th>Nama</th>
                                                <th>Tagihan</th>
                                                <th>Dibayar</th>
                                                <th>Sisa</th>
                                                <th>Status Mahasiswa</th>
                                                <th>Beasiswa</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr th:each="data, row:${listMahasiswa}">
                                                <td th:text="${(row.index + 1)}">1</td>
                                                <td th:text="${data[2]}"></td>
                                                <td>
                                                    <div th:if="${selectTahun == null}">
                                                        <a th:href="@{/studentBill/rekapTagihan/detail(nim=${data[3]})}" class="text-default" th:text="${data[3]}"></a>
                                                    </div>
                                                    <div th:if="${selectTahun != null}">
                                                        <a th:href="@{/studentBill/rekapTagihan/detail(nim=${data[3]}, tahunAkademik=${selectTahun})}" class="text-default" th:text="${data[3]}"></a>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div th:if="${selectTahun == null}">
                                                        <a th:href="@{/studentBill/rekapTagihan/detail(nim=${data[3]})}" class="text-default" th:text="${data[4]}"></a>
                                                    </div>
                                                    <div th:if="${selectTahun != null}">
                                                        <a th:href="@{/studentBill/rekapTagihan/detail(nim=${data[3]}, tahunAkademik=${selectTahun})}" class="text-default" th:text="${data[4]}"></a>
                                                    </div>
                                                </td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[5], 0, 'POINT', 2, 'COMMA')}"></td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[6], 0, 'POINT', 2, 'COMMA')}"></td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[7], 0, 'POINT', 2, 'COMMA')}"></td>
                                                <td>
                                                    <a  class="btn btn-info btn-sm" href="#!"
                                                        th:if="${data[8]} == 'AKTIF'"
                                                        th:text="AKTIF">
                                                    </a>

                                                    <a type="button" class="btn btn-success btn-sm" href="#!"
                                                       th:if="${data[8]} == 'L'"
                                                       th:text="LULUS">
                                                    </a>

                                                    <a type="button" class="btn btn-danger ger btn-sm" href="#!"
                                                       th:if="${data[8]} == 'K'"
                                                       th:text="KELUAR">
                                                    </a>

                                                    <a type="button" class="btn btn-warning btn-sm" href="#!"
                                                       th:if="${data[8]} == 'C'"
                                                       th:text="CUTI">
                                                    </a>
                                                </td>
                                                <td>
                                                    <button type="button" class="btn btn-primary btn-sm" th:if="${data[9] != '-'}" th:text="${data[9]}"></button>
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>